[Buildroot] [PATCH v2 2/2] libglib2: the system PCRE needs to have UTF and UCP enabled

Sven Neumann neumann at teufel.de
Fri Nov 22 21:58:27 UTC 2013


If glib2 is compiled with the system PCRE instead of the included
copy, then that system PCRE needs to have support for UTF-8 and
Unicode properties enabled. Otherwise you will get such warnings
at run-time:

GLib-CRITICAL **: PCRE library is compiled without UTF8 support
GLib-CRITICAL **: PCRE library is compiled without UTF8 properties support

Signed-off-by: Sven Neumann <neumann at teufel.de>
---
 package/libglib2/Config.in | 1 +
 1 file changed, 1 insertion(+)

diff --git a/package/libglib2/Config.in b/package/libglib2/Config.in
index db6a950..7cbfea5 100644
--- a/package/libglib2/Config.in
+++ b/package/libglib2/Config.in
@@ -3,6 +3,7 @@ config BR2_PACKAGE_LIBGLIB2
 	select BR2_PACKAGE_GETTEXT if BR2_NEEDS_GETTEXT
 	select BR2_PACKAGE_LIBICONV if !BR2_ENABLE_LOCALE
 	select BR2_PACKAGE_LIBFFI
+	select BR2_PACKAGE_PCRE_UCP if BR2_PACKAGE_PCRE
 	select BR2_PACKAGE_ZLIB
 	depends on BR2_USE_WCHAR # gettext
 	depends on BR2_TOOLCHAIN_HAS_THREADS
-- 
1.8.4.2






More information about the buildroot mailing list